Skip to main content
`Ctrl`+`K`

# TSIRKSetType

Set the type of `TSIRK` scheme to use

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSIRKSetType(TS ts, TSIRKType irktype)

Logically Collective

## Input Parameters

- ts - timestepping context

- irktype - type of `TSIRK` scheme

## Options Database Key

- -ts_irk_type <gauss> - set irk type

## See Also

TS: Scalable ODE and DAE Solvers, `TSIRKGetType()`, `TSIRK`, `TSIRKType`, `TSIRKGAUSS`

## Level

intermediate

## Location

src/ts/impls/implicit/irk/irk.c

## Implementations

TSIRKSetType_IRK() in src/ts/impls/implicit/irk/irk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages